
/*
 * $Id: globals.cc,v 1.14 1999/09/22 21:59:49 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#include "polygraph.h"

#include "Clock.h"
#include "String.h"
#include "Select.h"
#include "PortMgr.h"
#include "StatPhaseMgr.h"
#include "Progress.h"
#include "globals.h"

String ThePrgName = "?";
FileScanner *TheFileScanner = 0;
StatPhaseMgr TheStatPhaseMgr;

/* initialization */

int GlobInit::TheUseCount = 0;

void GlobInit::init() { 
	TheFileScanner = 0; // selected run-time
}

void GlobInit::clean() {
	delete TheFileScanner; TheFileScanner = 0;
}
