
/*
 * $Id: PglRec.h,v 1.3 1999/09/07 17:48:07 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PGL_RECORD_H
#define PGL_RECORD_H

#include "SynSymTbl.h"

// holds "record"-like or "struct"-like info
// records can be nested
class PglRec: public SynSymTbl {
	public:
		PglRec();
		virtual ~PglRec();

		virtual SynSymTblItem **valp(const String &key);
		PglRec *clone() const;

		// builds a SynSymTblItem and adds it
		SynSymTblItem *bAdd(const String &type, const String &name, SynSym *s);
};

#endif
